| Flutter Windows Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::testing::PlatformHandlerTest Class Reference
Inheritance diagram for flutter::testing::PlatformHandlerTest:

## Public Member Functions
| PlatformHandlerTest ()=default
virtual | ~PlatformHandlerTest ()=default

## Protected Member Functions
FlutterWindowsEngine * | engine ()
void | UseHeadlessEngine ()
void | UseEngineWithView ()

## Detailed Description

Definition at line 138 of file platform_handler_unittests.cc.

## Constructor & Destructor Documentation

## ◆ PlatformHandlerTest()

flutter::testing::PlatformHandlerTest::PlatformHandlerTest | ( |  | ) |
| default

## ◆ ~PlatformHandlerTest()

virtual flutter::testing::PlatformHandlerTest::~PlatformHandlerTest | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ engine()

FlutterWindowsEngine* flutter::testing::PlatformHandlerTest::engine | ( |  | ) |
| inlineprotected

Definition at line 144 of file platform_handler_unittests.cc.

144 { return engine_.get(); }

## ◆ UseEngineWithView()

void flutter::testing::PlatformHandlerTest::UseEngineWithView | ( |  | ) |
| inlineprotected

Definition at line 152 of file platform_handler_unittests.cc.

152 {
153 FlutterWindowsEngineBuilder builder{GetContext()};
154
155 auto window = std::make_unique<NiceMock<MockWindowBindingHandler>>();
156
157 engine_ = builder.Build();
158 view_ = std::make_unique<FlutterWindowsView>(kImplicitViewId, engine_.get(),
159 std::move(window));
160
161 EngineModifier modifier{engine_.get()};
162 modifier.SetImplicitView(view_.get());
163 }
flutter::kImplicitViewId
constexpr FlutterViewId kImplicitViewId
Definition: flutter_windows_engine.h:55

References flutter::kImplicitViewId.

## ◆ UseHeadlessEngine()

void flutter::testing::PlatformHandlerTest::UseHeadlessEngine | ( |  | ) |
| inlineprotected

Definition at line 146 of file platform_handler_unittests.cc.

146 {
147 FlutterWindowsEngineBuilder builder{GetContext()};
148
149 engine_ = builder.Build();
150 }

The documentation for this class was generated from the following file:

- shell/platform/windows/platform_handler_unittests.cc